<!DOCTYPE html>
{% load bootstrap %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
    <body>
        <div class="navbar navbar-light bg-light">
           <nav class="navbar-brand">
               <a href="{% url 'student-info' %}">STUDENT</a>
               <a href="{% url 'group-info' %}">GROUP</a>
               <a href="{% url 'teacher-info' %}">TEACHER</a>
           </nav>
        </div>
        <h1 align="center">GROUPS INFO</h1>
        <table class="table table-bordered" border="1" align="center">
           <tr>
               <th>№:</th>
               <th>Название Группы</th>
               <th>Преподаватель</th>
               <th>Количество студентов в группе</th>
               <th>Средний возраст студентов в группе</th>
               <th>Максимальный возраст студента в группе</th>
               <th>Минимальный возраст студента в группе</th>
           </tr >
           {% for group in groups %}
               <tr>
                   <td align="center">{{forloop.counter}}</td>
                   <td>{{group.name}}</td>
                   <td>{{group.teacher.last_name}} {{group.teacher.first_name|slice:"1"}}. {{group.teacher.middle_name|slice:"1"}}. </td>
                   <td>{{group.student_count}}</td>
                   <td>{{group.student_age_avg}}</td>
                   <td>{{group.student_age_max}}</td>
                   <td>{{group.student_age_min}}</td>
               </tr>
           {% endfor %}
        </table>
    </body>
</html>